## Package Win32::GUI::Label

Back to the Packages

- Constructor

  - new Win32::GUI::Label(PARENT, %OPTIONS)

- Methods

  - SetImage(BITMAP)

- Events

  - Click()

  - DblClick()

### Constructor

new Win32::GUI::Label(PARENT, %OPTIONS)

  Creates a new Label object; can also be called as PARENT->AddLabel(%OPTIONS). Class specific `%OPTIONS` are:

         -align    => left/center/right (default left)
         -bitmap   => Win32::GUI::Bitmap object
         -fill     => black/gray/white/none (default none)
             fills the control rectangle ("black", "gray" and "white" are
             the window frame color, the desktop color and the window
             background color respectively).
         -frame    => black/gray/white/etched/none (default none)
             draws a border around the control. colors are the same
             of -fill, with the addition of "etched" (a raised border).
         -icon     => Win32::GUI::Icon object
         -noprefix => 0/1 (default 0)
             disables the interpretation of "&" as accelerator prefix.
         -notify   => 0/1 (default 0)
             enables the Click(), DblClick, etc. events.
         -picture  => see -bitmap
         -sunken   => 0/1 (default 0)
             draws a half-sunken border around the control.
         -truncate => 0/1/word/path (default 0)
             specifies how the text is to be truncated:
                 0 the text is not truncated
                 1 the text is truncated at the end
              path the text is truncated before the last "\"
                   (used to shorten paths).
         -wrap     => 0/1 (default 1)
             the text wraps automatically to a new line.

### Methods

SetImage(BITMAP)

  Draws the specified BITMAP, a Win32::GUI::Bitmap object, in the Label.

### Events

Click()

  [TBD]

DblClick()

  [TBD]